Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Interface PassageListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  PassageListModel, PassageSelectionPane.CustomPassageListener, PassageTreeNode

    public interface PassageListener

extends EventListener

A PassageListener gets told when the verses in a Passage have changed (added or removed).

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: PassageListener.java,v 1.7 2004/08/30 09:27:07 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `versesAdded(PassageEvent ev)` Sent after stuff has been added to the Passage, more info about what and where can be had from the Event
`void` | `versesChanged(PassageEvent ev)` Sent after verses have been symultaneously added and removed from the Passage, more info about what and where can be had from the Event
`void` | `versesRemoved(PassageEvent ev)` Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

Method Detail

### versesAdded

    void versesAdded(PassageEvent ev)

  Sent after stuff has been added to the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapuslating the event information

### versesRemoved

    void versesRemoved(PassageEvent ev)

  Sent after stuff has been removed from the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapuslating the event information

### versesChanged

    void versesChanged(PassageEvent ev)

  Sent after verses have been symultaneously added and removed from the Passage, more info about what and where can be had from the Event

  Parameters:
    `ev` - a PassageEvent encapuslating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD